Retail Documentation
    Retail Documentation
    • Events
      • Register For Events
        POST
    • NewsLetters
      • Get All Subcribers
        GET
      • Add New Subcribers
        POST
      • Send Mails To Subscribers
        POST
    • Stores
      • Get All Stores
        GET
      • Update Store
        PUT
      • Delete Store
        DELETE
      • Get Specific Store
        GET
      • Search Store
        POST
      • Add A New Store
        POST
    • Gives / Dontation
      • Get All Gives
        GET
      • Add A Give
        POST
    • Payment Gateway
      • Make Payment
        POST
    • Blog
      • Get All Blogs
        GET
      • Update Blog
        PUT
      • Get A Specific Blog
        GET
      • Delete Blog
        DELETE
      • Create New Blog
        POST
    • Admin
      • Admin Login
        POST
      • Admin Signup
        POST
      • Logout
        GET
    • Communities
      • Join Our Comunities
        POST
      • List of Users In Our Communities
        GET
    • Praise Report Form
      • Insert New Praise Form
      • Get All Praise Report Form
    • Welcome Section
      GET
    • Contact Us
      POST

      Contact Us

      POST
      /contact

      Request

      Body Params application/json

      Examples

      Responses

      🟢201
      application/json
      Body

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request POST '/contact' \
      --header 'Content-Type: application/json' \
      --data-raw '{
          "fullName": "Yahaya Abullah",
          "email": "abdullahayahaya46@gmai.com",
          "phone": "+2348089887635",
          "message": "dakfdka fhdhkjd hakfj dfda"
      }'
      Response Response Example
      {
          "msg": "CONTACT_INSERTED_SUCCESSFULLY",
          "status": true,
          "message": {
              "fullName": "dafdafa",
              "email": "abdullahayahaya46@gmail.com",
              "phone": "+234 (808) 988-7635",
              "message": "dakfdka fhdhkjd hakfj dfda",
              "_id": "62e98dc5386e1529e2bc653e",
              "createdAt": "2022-08-02T20:49:09.850Z",
              "updatedAt": "2022-08-02T20:49:09.850Z",
              "__v": 0
          }
      }
      Modified at 2026-03-12 11:22:01
      Previous
      Welcome Section
      Built with